aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJavier <dev.git@javispedro.com>2022-02-12 00:07:00 +0100
committerJavier <dev.git@javispedro.com>2022-02-12 00:07:00 +0100
commit9a645a7ab52264c870a6a25d75feeeddd539cc1f (patch)
treea931e11b0d5f93a29e195c53cdb245496f3bf253
parentf542986653c1d122fe448ea880a736ace722855e (diff)
downloadvmusic-9a645a7ab52264c870a6a25d75feeeddd539cc1f.tar.gz
vmusic-9a645a7ab52264c870a6a25d75feeeddd539cc1f.zip
reorganize scripts
-rw-r--r--scripts/runvm.sh (renamed from scripts/logenv.sh)15
-rwxr-xr-xscripts/try.sh16
2 files changed, 14 insertions, 17 deletions
diff --git a/scripts/logenv.sh b/scripts/runvm.sh
index e253426..c7471ea 100644
--- a/scripts/logenv.sh
+++ b/scripts/runvm.sh
@@ -1,7 +1,20 @@
+#!/bin/bash
+
+set -e
+
+vm="$1"
+
+if [[ -z "$vm" ]]; then
+ echo "Usage: $0 <VM>"
+ exit 1
+fi
+
export VBOX_LOG_DEST="nofile stderr"
export VBOX_LOG_FLAGS="thread time"
export VBOX_LOG="+dev_sb16.e.l.f.l3.l5.l7.l9"
export VBOX_RELEASE_LOG_DEST="nofile stderr"
export VBOX_RELEASE_LOG="-all +dev_sb16.e.l.f"
-#export VBOX_LOG=""
+# --debug
+
+exec /usr/lib/virtualbox/VirtualBoxVM --startvm "$vm"
diff --git a/scripts/try.sh b/scripts/try.sh
deleted file mode 100755
index da5c31e..0000000
--- a/scripts/try.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/bash
-
-set -e
-
-vm="$1"
-
-if [[ -z "$vm" ]]; then
- echo "Usage: $0 <VM>"
- exit 1
-fi
-
-source scripts/logenv.sh
-
-# --debug
-
-exec /usr/lib/virtualbox/VirtualBoxVM --startvm "$vm"